:doc:`APIGateway <../../apigateway>` / Client / get_deployment

**************
get_deployment
**************



.. py:method:: APIGateway.Client.get_deployment(**kwargs)

  

  Gets information about a Deployment resource.

  

  See also: `AWS API Documentation <https://docs.aws.amazon.com/goto/WebAPI/apigateway-2015-07-09/GetDeployment>`_  


  **Request Syntax**
  ::

    response = client.get_deployment(
        restApiId='string',
        deploymentId='string',
        embed=[
            'string',
        ]
    )
    
  :type restApiId: string
  :param restApiId: **[REQUIRED]** 

    The string identifier of the associated RestApi.

    

  
  :type deploymentId: string
  :param deploymentId: **[REQUIRED]** 

    The identifier of the Deployment resource to get information about.

    

  
  :type embed: list
  :param embed: 

    A query parameter to retrieve the specified embedded resources of the returned Deployment resource in the response. In a REST API call, this ``embed`` parameter value is a list of comma-separated strings, as in ``GET /restapis/{restapi_id}/deployments/{deployment_id}?embed=var1,var2``. The SDK and other platform-dependent libraries might use a different format for the list. Currently, this request supports only retrieval of the embedded API summary this way. Hence, the parameter value must be a single-valued list containing only the ``"apisummary"`` string. For example, ``GET /restapis/{restapi_id}/deployments/{deployment_id}?embed=apisummary``.

    

  
    - *(string) --* 

    

  
  :rtype: dict
  :returns: 
    
    **Response Syntax**

    
    ::

      {
          'id': 'string',
          'description': 'string',
          'createdDate': datetime(2015, 1, 1),
          'apiSummary': {
              'string': {
                  'string': {
                      'authorizationType': 'string',
                      'apiKeyRequired': True|False
                  }
              }
          }
      }
      
    **Response Structure**

    

    - *(dict) --* 

      An immutable representation of a RestApi resource that can be called by users using Stages. A deployment must be associated with a Stage for it to be callable over the Internet.

      
      

      - **id** *(string) --* 

        The identifier for the deployment resource.

        
      

      - **description** *(string) --* 

        The description for the deployment resource.

        
      

      - **createdDate** *(datetime) --* 

        The date and time that the deployment resource was created.

        
      

      - **apiSummary** *(dict) --* 

        A summary of the RestApi at the date and time that the deployment resource was created.

        
        

        - *(string) --* 
          

          - *(dict) --* 
            

            - *(string) --* 
              

              - *(dict) --* 

                Represents a summary of a Method resource, given a particular date and time.

                
                

                - **authorizationType** *(string) --* 

                  The method's authorization type. Valid values are ``NONE`` for open access, ``AWS_IAM`` for using AWS IAM permissions, ``CUSTOM`` for using a custom authorizer, or ``COGNITO_USER_POOLS`` for using a Cognito user pool.

                  
                

                - **apiKeyRequired** *(boolean) --* 

                  Specifies whether the method requires a valid ApiKey.

                  
            
        
      
    
  
  
  **Exceptions**
  
  *   :py:class:`APIGateway.Client.exceptions.BadRequestException`

  
  *   :py:class:`APIGateway.Client.exceptions.NotFoundException`

  
  *   :py:class:`APIGateway.Client.exceptions.UnauthorizedException`

  
  *   :py:class:`APIGateway.Client.exceptions.TooManyRequestsException`

  
  *   :py:class:`APIGateway.Client.exceptions.ServiceUnavailableException`

  